#
# spec file for package babelstone-han-fonts
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           babelstone-han-fonts
Version:        8.0.2
Release:        bp153.1.12
Summary:        Font for Han Script
License:        SUSE-Arphic
Group:          System/X11/Fonts
Url:            http://www.babelstone.co.uk/Fonts/
Source0:        http://babelstone.co.uk/Fonts/BabelStoneHan.zip
Source1:        LICENSE
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
BabelStone Han is a dual-width Unicode Han font in Song/Ming style 
with G-source glyphs used in the People's Republic of China.

%prep
%setup -q -c -T -a0

%build
cp -a %{SOURCE1} .

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc LICENSE
%{_ttfontsdir}

%changelog
* Sat Dec 12 2015 p.drouand@gmail.com
- Update to version 8.0.2
  * More glyph corrections
  * 5 additional CJK-B characters.
- Changes from version 8.0.1
  * 269 CJK-A characters
  * 428 CJK-B characters
  * 97 CJK-C characters
  * 209 CJK-E characters
  * 1,671 PUA characters added from BabelStone Han PUA
  * Various glyph corrections.
* Tue Oct 27 2015 p.drouand@gmail.com
- Update to version 8.0.0
  * 9 characters added to the end of the main CJK block
  * 115 CJK-A characters
  * 363 CJK-B characters
  * 30 CJK-C characters
  * 1,125 CJK-E characters
  * 194 PUA characters removed.
* Thu Oct 17 2013 pgajdos@suse.com
- initial version 1.11
